package cn.com.infosec.mobile.android.framework.crypto.impl.gm;

import cn.com.infosec.math.ec.ECConstants;
import cn.com.infosec.math.ec.ECFieldElement;
import java.math.BigInteger;

public interface SM2Constants {
   ECFieldElement ONE;
   ECFieldElement TWO;
   ECFieldElement FOUR;
   ECFieldElement THREE;
   ECFieldElement EIGHT;
   ECFieldElement A;
   JPECPoint jg;

   static {
      BigInteger var0;
      ONE = new ECFieldElement.Fp(var0 = SM2GMParameter.gmp, ECConstants.ONE);
      TWO = new ECFieldElement.Fp(var0, ECConstants.TWO);
      FOUR = new ECFieldElement.Fp(var0, BigInteger.valueOf(4L));
      THREE = new ECFieldElement.Fp(var0, BigInteger.valueOf(3L));
      EIGHT = new ECFieldElement.Fp(var0, BigInteger.valueOf(8L));
      A = new ECFieldElement.Fp(var0, SM2GMParameter.gma);
      jg = new JPECPoint.Fp(SM2GMParameter.gmg);
   }
}
